Search documentation of phoenix_kit

# PhoenixKitWeb.Live.Settings.Users (phoenix_kit v1.7.87)

Copy Markdown View Source

User-related settings management LiveView for PhoenixKit.

Consolidates user configuration including:

- Registration settings
- New user defaults (role and status)
- Custom user fields management

## Summary

### Functions

get_option_label(value, options)
handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

handle_params(params, url, socket)

Callback implementation for `Phoenix.LiveView.handle_params/3`.

mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.

## Functions

# get_option_label(value, options)

# handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

# handle_params(params, url, socket)

Callback implementation for `Phoenix.LiveView.handle_params/3`.

# mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

# render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.